'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Button = require('./Button');

var _Button2 = _interopRequireDefault(_Button);

var _recompose = require('recompose');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var LoginViaThirdParty = function LoginViaThirdParty(_ref) {
  var handleSignInWithFacebook = _ref.handleSignInWithFacebook,
      handleSignInWithGoogle = _ref.handleSignInWithGoogle,
      labels = _ref.labels;

  return _react2.default.createElement(
    _react.Fragment,
    null,
    _react2.default.createElement(
      'div',
      { style: { display: 'flex', justifyContent: 'center' } },
      _react2.default.createElement(
        _Button2.default,
        {
          style: { width: '24rem', border: '1px solid #4285f4' },

          type: 'facebook',
          colors: 'facebook',
          onClick: handleSignInWithFacebook
        },
        labels.signinwithfacebook
      )
    ),
    _react2.default.createElement(
      'div',
      { style: { display: 'flex', justifyContent: 'center' } },
      _react2.default.createElement(
        _Button2.default,
        {
          style: { width: '24rem', border: '1px solid #5f646d' },
          type: 'google',
          colors: 'google',
          onClick: handleSignInWithGoogle
        },
        labels.signinwithgoogle
      )
    )
  );
};
// import {connect} from 'react-redux'


LoginViaThirdParty.propTypes = {};
var mapStateToProps = function mapStateToProps(state) {
  return {};
};

var enhance = (0, _recompose.compose)((0, _recompose.defaultProps)({
  handleSignInWithFacebook: function handleSignInWithFacebook() {
    return console.log('handleSignInWithFacebook');
  },
  handleSignInWithGoogle: function handleSignInWithGoogle() {
    return console.log('handleSignInWithGoogle');
  }
}), (0, _recompose.onlyUpdateForKeys)([''])
// connect(mapStateToProps, {})
);

exports.default = enhance(LoginViaThirdParty);