'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _recompose = require('recompose');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var MQLListener = function (_Component) {
  (0, _inherits3.default)(MQLListener, _Component);

  function MQLListener() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, MQLListener);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = MQLListener.__proto__ || (0, _getPrototypeOf2.default)(MQLListener)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      matches: true,
      mql: window.matchMedia('(max-width: ' + _this.props.widthThreshold + 'px)')
    }, _this.listener = function (e) {
      console.log(e.matches);
      if (e.matches) {
        _this.setState({ matches: true });
      } else {
        _this.setState({ matches: false });
      }
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(MQLListener, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      var mql = this.state.mql;


      this.setState({ matches: mql.matches });
      mql.addListener(this.listener);
    }
  }, {
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      var mql = this.state.mql;

      mql.removeListener(this.listener);
    }
  }, {
    key: 'render',
    value: function render() {
      var matches = this.state.matches,
          children = this.props.children;

      return children({ matches: matches });
    }
  }]);
  return MQLListener;
}(_react.Component);

MQLListener.propTypes = {};

var enhance = (0, _recompose.compose)();

exports.default = enhance(MQLListener);