"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.modalHandlers = undefined;

var _regenerator = require("babel-runtime/regenerator");

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require("babel-runtime/helpers/asyncToGenerator");

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var modalHandlers = exports.modalHandlers = {
  closeModal: function closeModal(_ref) {
    var setModalIsOpenTo = _ref.setModalIsOpenTo,
        onCloseModal = _ref.onCloseModal,
        setExternalModalIsOpenTo = _ref.setExternalModalIsOpenTo;
    return (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee() {
      return _regenerator2.default.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              if (!setExternalModalIsOpenTo) {
                _context.next = 7;
                break;
              }

              _context.next = 3;
              return setExternalModalIsOpenTo(false);

            case 3:
              _context.next = 5;
              return setModalIsOpenTo(false);

            case 5:
              _context.next = 9;
              break;

            case 7:
              _context.next = 9;
              return setModalIsOpenTo(false);

            case 9:
              onCloseModal();

            case 10:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, undefined);
    }));
  },
  openModal: function openModal(_ref3) {
    var setModalIsOpenTo = _ref3.setModalIsOpenTo,
        onOpenModal = _ref3.onOpenModal,
        setExternalModalIsOpenTo = _ref3.setExternalModalIsOpenTo;
    return (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee2() {
      return _regenerator2.default.wrap(function _callee2$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              if (!setExternalModalIsOpenTo) {
                _context2.next = 7;
                break;
              }

              _context2.next = 3;
              return setExternalModalIsOpenTo(true);

            case 3:
              _context2.next = 5;
              return setModalIsOpenTo(true);

            case 5:
              _context2.next = 9;
              break;

            case 7:
              _context2.next = 9;
              return setModalIsOpenTo(true);

            case 9:
              onOpenModal();

            case 10:
            case "end":
              return _context2.stop();
          }
        }
      }, _callee2, undefined);
    }));
  },
  toggleModalIsOpen: function toggleModalIsOpen(_ref5) {
    var onCloseModal = _ref5.onCloseModal,
        onOpenModal = _ref5.onOpenModal,
        setModalIsOpenTo = _ref5.setModalIsOpenTo,
        modalIsOpen = _ref5.modalIsOpen,
        setExternalModalIsOpenTo = _ref5.setExternalModalIsOpenTo,
        externalModalIsOpen = _ref5.externalModalIsOpen;
    return (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee3() {
      return _regenerator2.default.wrap(function _callee3$(_context3) {
        while (1) {
          switch (_context3.prev = _context3.next) {
            case 0:
              if (!setExternalModalIsOpenTo) {
                _context3.next = 8;
                break;
              }

              _context3.next = 3;
              return setExternalModalIsOpenTo(function (x) {
                return !x;
              });

            case 3:
              _context3.next = 5;
              return setModalIsOpenTo(function (x) {
                return !x;
              });

            case 5:
              if (externalModalIsOpen) {
                onCloseModal();
              } else {
                onOpenModal();
              }
              _context3.next = 11;
              break;

            case 8:
              _context3.next = 10;
              return setModalIsOpenTo(function (x) {
                return !x;
              });

            case 10:
              if (modalIsOpen) {
                onCloseModal();
              } else {
                onOpenModal();
              }

            case 11:
            case "end":
              return _context3.stop();
          }
        }
      }, _callee3, undefined);
    }));
  }
};