"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === undefined ? "18" : _ref$size,
      _ref$fill = _ref.fill,
      fill = _ref$fill === undefined ? "#000000" : _ref$fill,
      dir = _ref.dir;

  return _react2.default.createElement(
    _react.Fragment,
    null,
    {
      Right: _react2.default.createElement(
        "svg",
        {
          fill: fill,
          height: size,
          viewBox: "0 0 24 24",
          width: size,
          xmlns: "http://www.w3.org/2000/svg"
        },
        _react2.default.createElement("path", { d: "M10 6L8.59 7.41 13.17 12l-4.58 4.59L10 18l6-6z" }),
        _react2.default.createElement("path", { d: "M0 0h24v24H0z", fill: "none" })
      ),
      Left: _react2.default.createElement(
        "svg",
        {
          fill: fill,
          height: size,
          viewBox: "0 0 24 24",
          width: size,
          xmlns: "http://www.w3.org/2000/svg"
        },
        _react2.default.createElement("path", { d: "M15.41 7.41L14 6l-6 6 6 6 1.41-1.41L10.83 12z" }),
        _react2.default.createElement("path", { d: "M0 0h24v24H0z", fill: "none" })
      ),
      Up: _react2.default.createElement(
        "svg",
        {
          fill: fill,
          height: size,
          viewBox: "0 0 24 24",
          width: size,
          xmlns: "http://www.w3.org/2000/svg"
        },
        _react2.default.createElement("path", { d: "M12 8l-6 6 1.41 1.41L12 10.83l4.59 4.58L18 14z" }),
        _react2.default.createElement("path", { d: "M0 0h24v24H0z", fill: "none" })
      ),
      Down: _react2.default.createElement(
        "svg",
        {
          fill: fill,
          height: size,
          viewBox: "0 0 24 24",
          width: size,
          xmlns: "http://www.w3.org/2000/svg"
        },
        _react2.default.createElement("path", { d: "M16.59 8.59L12 13.17 7.41 8.59 6 10l6 6 6-6z" }),
        _react2.default.createElement("path", { d: "M0 0h24v24H0z", fill: "none" })
      )
    }[dir]
  );
};