'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _recompose = require('recompose');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = (0, _recompose.compose)((0, _recompose.withReducer)('isOn', 'dispatch', function (state, action) {
  switch (action.type) {
    case 'SWITCH_ON':
      return true;
    case 'SWITCH_OFF':
      return false;
    case 'TOGGLE':
      console.log('TOGGLE');
      return !state;
    default:
      return state;
  }
}, false), (0, _recompose.withHandlers)({
  switchOn: function switchOn(_ref) {
    var dispatch = _ref.dispatch;
    return function (e) {
      return dispatch({ type: 'SWITCH_ON' });
    };
  },
  switchOff: function switchOff(_ref2) {
    var dispatch = _ref2.dispatch;
    return function (e) {
      return dispatch({ type: 'SWITCH_OFF' });
    };
  },
  toggle: function toggle(_ref3) {
    var dispatch = _ref3.dispatch;
    return function (e) {
      return dispatch({ type: 'TOGGLE' });
    };
  }
}));