'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _recompose = require('recompose');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var InnerWidthListener = function (_Component) {
  (0, _inherits3.default)(InnerWidthListener, _Component);

  function InnerWidthListener() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, InnerWidthListener);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = InnerWidthListener.__proto__ || (0, _getPrototypeOf2.default)(InnerWidthListener)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      out: 0
    }, _this.listener = function () {
      var values = _this.props.values;

      console.log(values);
      values.forEach(function (v) {
        if (window.innerWidth <= (v.max || 2000) && window.innerWidth >= (v.min || 0)) {
          _this.setState({ out: v.out });
        }
      });
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(InnerWidthListener, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      var _this2 = this;

      var values = this.props.values;

      values.forEach(function (v) {
        if (window.innerWidth <= (v.max || 2000) && window.innerWidth >= (v.min || 0)) {
          _this2.setState({ out: v.out });
        }
      });
      window.addEventListener('resize', this.listener);
    }
  }, {
    key: 'componentDidUpdate',
    value: function componentDidUpdate(prevProps) {
      var _this3 = this;

      var values = this.props.values;

      if (values[1].min !== prevProps.values[1].min || values[1].max !== prevProps.values[1].max) {
        console.log('diff');
        values.forEach(function (v) {
          if (window.innerWidth <= (v.max || 2000) && window.innerWidth >= (v.min || 0)) {
            _this3.setState({ out: v.out });
          }
        });
      }
    }
  }, {
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      window.removeEventListener('resize', this.listener);
    }
  }, {
    key: 'render',
    value: function render() {
      var out = this.state.out,
          children = this.props.children;

      return children({ out: out });
    }
  }]);
  return InnerWidthListener;
}(_react.Component);

InnerWidthListener.propTypes = {};

var enhance = (0, _recompose.compose)();

exports.default = enhance(InnerWidthListener);