'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _slicedToArray2 = require('babel-runtime/helpers/slicedToArray');

var _slicedToArray3 = _interopRequireDefault(_slicedToArray2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _recompose = require('recompose');

var _Button = require('./Button');

var _Button2 = _interopRequireDefault(_Button);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var MountUnmount = function MountUnmount(_ref) {
  var children = _ref.children;

  var _useState = (0, _react.useState)(true),
      _useState2 = (0, _slicedToArray3.default)(_useState, 2),
      mounted = _useState2[0],
      setMounted = _useState2[1];

  return _react2.default.createElement(
    'div',
    { style: { display: 'flex', flexDirection: 'column', margin: '5rem' } },
    _react2.default.createElement(
      _Button2.default,
      { onClick: function onClick() {
          return setMounted(!mounted);
        } },
      mounted ? 'mounted' : 'unmounted'
    ),
    mounted && children
  );
};

exports.default = MountUnmount;