'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _recompose = require('recompose');

var _SinglePageModal = require('./SinglePageModal');

var _SinglePageModal2 = _interopRequireDefault(_SinglePageModal);

var _Button = require('./Button');

var _Button2 = _interopRequireDefault(_Button);

var _SendPasswordResetEmailForm = require('./SendPasswordResetEmailForm');

var _SendPasswordResetEmailForm2 = _interopRequireDefault(_SendPasswordResetEmailForm);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SendPasswordResetEmailModal = function SendPasswordResetEmailModal(_ref) {
  var labels = _ref.labels,
      demoModeIsOn = _ref.demoModeIsOn,
      props = (0, _objectWithoutProperties3.default)(_ref, ['labels', 'demoModeIsOn']);

  return _react2.default.createElement(_SinglePageModal2.default, (0, _extends3.default)({
    style: {
      width: 300
    },
    demoModeIsOn: demoModeIsOn,
    modalDialogContainerClassNameAppend: 'passwordrecoverymodal__container',
    renderTrigger: function renderTrigger(_ref2) {
      var getTriggerProps = _ref2.getTriggerProps;
      return _react2.default.createElement(
        'div',
        getTriggerProps(),
        labels.trigger
      );
    },
    renderHeader: function renderHeader(_ref3) {
      var getHeaderProps = _ref3.getHeaderProps;
      return _react2.default.createElement(
        'div',
        getHeaderProps(),
        _react2.default.createElement(
          'span',
          null,
          labels.header
        )
      );
    },
    renderBody: function renderBody(_ref4) {
      var getBodyProps = _ref4.getBodyProps;
      return _react2.default.createElement(
        'div',
        getBodyProps(),
        _react2.default.createElement(_SendPasswordResetEmailForm2.default, null)
      );
    }
  }, props));
};

SendPasswordResetEmailModal.propTypes = {};
SendPasswordResetEmailModal.defaultProps = {
  handleSendPasswordResetEmail: function handleSendPasswordResetEmail(values) {
    return console.log('handleSendPasswordResetEmail', values);
  },
  triggerClassNameOverride: '',
  labels: {
    subTrigger: 'recover your password',
    trigger: 'password recovery',
    header: 'Recover your password',
    email: 'enter your email',
    submit: 'submit'
  }
};

var enhance = (0, _recompose.compose)(_recompose.pure);

exports.default = enhance(SendPasswordResetEmailModal);