'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.withSVGProps = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _recompose = require('recompose');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var withSVGProps = exports.withSVGProps = function withSVGProps(component) {
	return (0, _recompose.withProps)(function (_ref) {
		var _ref$size = _ref.size,
		    size = _ref$size === undefined ? '18' : _ref$size,
		    _ref$fill = _ref.fill,
		    fill = _ref$fill === undefined ? '#000000' : _ref$fill,
		    _ref$options = _ref.options,
		    options = _ref$options === undefined ? {} : _ref$options;
		return {
			size: size,
			fill: fill,
			viewBox: '0 0 24 24',
			width: size,
			xmlns: 'http://www.w3.org/2000/svg'
		};
	})(component);
};